Skip to main content
GET
/
3
/
account
/
{account_id}
/
favorite
/
movies
Favorite movies
curl --request GET \
  --url 'https://api.themoviedb.org/3/account/{{account_id}}/favorite/movies'
{
  "page": 1,
  "results": [
    {
      "adult": false,
      "backdrop_path": "/3V4kLQg0kSqPLctI5ziYWabAZYF.jpg",
      "genre_ids": [
        28,
        878,
        12,
        53
      ],
      "id": 912649,
      "original_language": "en",
      "original_title": "Venom: The Last Dance",
      "overview": "Eddie and Venom are on the run. Hunted by both of their worlds and with the net closing in, the duo are forced into a devastating decision that will bring the curtains down on Venom and Eddie's last dance.",
      "popularity": 3080.957,
      "poster_path": "/aosm8NMQ3UyoBVpSxyimorCQykC.jpg",
      "release_date": "2024-10-22",
      "title": "Venom: The Last Dance",
      "video": false,
      "vote_average": 6.8,
      "vote_count": 2003
    }
  ],
  "total_pages": 1,
  "total_results": 1
}

Path Parameters

account_id
string
required

Query Parameters

language
string
Example:

"en-US"

page
string
Example:

"1"

sort_by
string
Example:

"created_at.asc"

Response

200 - application/json

favorite movies

page
number
Example:

1

results
object[]
Example:
[
  {
    "adult": false,
    "backdrop_path": "/3V4kLQg0kSqPLctI5ziYWabAZYF.jpg",
    "genre_ids": [28, 878, 12, 53],
    "id": 912649,
    "original_language": "en",
    "original_title": "Venom: The Last Dance",
    "overview": "Eddie and Venom are on the run. Hunted by both of their worlds and with the net closing in, the duo are forced into a devastating decision that will bring the curtains down on Venom and Eddie's last dance.",
    "popularity": 3080.957,
    "poster_path": "/aosm8NMQ3UyoBVpSxyimorCQykC.jpg",
    "release_date": "2024-10-22",
    "title": "Venom: The Last Dance",
    "video": false,
    "vote_average": 6.8,
    "vote_count": 2003
  }
]
total_pages
number
Example:

1

total_results
number
Example:

1